# moje proste przyklady rysunkow w programie gnuplot
#
show terminal
pause -1 " (01) sprawdzam typ terminala " # czeka na <Enter>
test
pause -1 " (02) strona testowa: pokazuje wybor linii, punktow etc. "
#
plot cos(x)
pause -1 " (03) najprostszy rysunek: z domyslnymi ustawieniami "
#
plot cos(x) w line lt 2
pause -1 " (04) wybieram konkretny typ linii "
#
plot cos(x) w line lt 3 lw 3
pause -1 " (05) wybieram typ i grubosc linii "
#
plot cos(x) w points
pause -1 " (06) teraz rysuje przy pomocy punktow "
#
plot cos(x) w points pt 4 ps 4
pause -1 " (07) wybieram rodzaj i wielkosc punktow "
#
plot cos(x) w impulses 
pause -1 " (08) uzywam tzw. impulsow "
#
plot cos(x) w impulses lt 4 lw 3 
pause -1 " (09) zmieniam rodzaj i grubosc impulsow "
#
set xzeroaxis lt 1 lw 1
set yzeroaxis lt 2 lw 1
set xrange [-1:]
plot cos(x) w impulses lt 4 lw 3 
pause -1 " (10) dodaje os x i y oraz ustalam poczatek zakresu zm. x "
#
set title "To jest tytul rysynku "
set angles degrees
set xzeroaxis lt 1 lw 1
set yzeroaxis lt 2 lw 1
set xrange [-20:360]
plot cos(x) w impulses lt 4 lw 3 
pause -1 " (11) dodaje tytul rysunku "
pause -1 "      kat podawany bedzie w stopniach "
pause -1 "      podaje poczatek i koniec zakres zm. x "
#
set title "To jest rysunek parametryczny: okrag czy elipsa "
set parametric
set xzeroaxis lt 1 lw 1
set yzeroaxis lt 1 lw 1
set angles radians
set xrange restore
set yrange restore
plot [t=0:2*pi] cos(t), sin(t)
pause -1 " (12) wstawiam osie oraz ustalam zakres parametru t w [0,2*pi] "
pause -1 "      Uwaga na uzycie 'set xrange restore' "
#
set title "To jest dalej rysunek parametryczny "
set parametric
set xzeroaxis lt 1 lw 1
set yzeroaxis lt 1 lw 1
set angles radians
set xrange [-1.05:1.05]
set yrange [-1.05:1.05]
set size ratio 1
plot [t=0:2*pi] cos(t), sin(t)
pause -1 " (13) ustawiam recznie zakresy osi x i y "
pause -1 "      zmieniam skale na osiach, by wyszedl naprawde okrag "
#
set title "To jest rysunek we wspolrzednych biegunowych "
unset parametric
set polar
set autoscale xy
set angles radians
plot [f=0:1.5*pi] 1/(1.0+f)
pause -1 " (14) ustawiam automatyczne zakresy osi x i y "
#
#
# Wyniki z dopasowaia prostej (regresja klasyczna) do danych z pliku
# 'regresja_klasyczna_ab_input.txt'
#  
set title "To jest przyklad pracy z danymi pomiarowymi "
unset polar
set autoscale xy
a= 3.71
b=  -263.35
set bar 6
f(x)= a*x + b
plot f(x) title 'a*x+b' w line lt 1 lw 1, \
'regresja_klasyczna_ab_input.txt' u 1:2 title 'dane' w points pt 5 ps 1.2
pause -1 " (15) rysunek z danymi z automatycznymi ustawieniami "
#
set title "To samo dopasowanie prostej do danych pomiarowych "
unset polar
set size noratio
set size 0.75,0.75
set xtics 60,10
set ytics -50,50
set xrange [60:110]
set yrange [-50:150]
set mxtics 5
set mytics 5
set xlabel "x"
set ylabel "y"
a= 3.71
b=  -263.35
set label sprintf("a = %g", a) at 70,130
set label sprintf("b = %g", b) at 70,100
set xzeroaxis lt 1 lw 1
set yzeroaxis lt 2 lw 1
set bar 1
f(x)= a*x + b
plot f(x) title 'a*x+b' w line lt 1 lw 1, \
'regresja_klasyczna_ab_input.txt' u 1:2 title 'dane' w points pt 5 ps 1.2
pause -1 " (16) poprzedni rysunek ze zmienionymi ustawieniami "
#
#
set notitle
#set title "To samo dopasowanie prostej zapisane w pliku PDF "
set term pdf enhanced
set out "rys1.pdf"
set size 0.75,0.75
set xrange [60:110]
set yrange [-50:150]
set ytics -50,50
set xtics 60,10
set mxtics 5
set mytics 5
set xlabel "{/Symbol Q} [rad] "
set ylabel "A^{{/Symbol a}{/Symbol b}{/Symbol c}}_{{/Symbol d}{/Symbol e}{/Symbol f}}"
set autoscale y
a= 3.71
b=  -263.35
set label sprintf("a = %g", a) at 70,130
set label sprintf("b = %g", b) at 70,100
set xzeroaxis lt 1 lw 1
set yzeroaxis lt 2 lw 1
set bar 1
f(x)= a*x + b
plot f(x) title 'a*x+b' w line lt 1 lw 1, \
'regresja_klasyczna_ab_input.txt' u 1:2 title ' praca [11] ' \
w points pt 5 ps 0.5
pause -1 " (16) poprzedni rysunek ze zmienionymi ustawieniami zapisany do pliku 'rys1.pdf' "
#
#set term x11 # dla Linuksa
set term wxt
pause -1 " (17) wyjscie z programu "
quit
